<?php
/**
 * @version   $Id: profilefields.php,v 9dcce53693a7 2011/02/03 18:06:24 likemandrake $
 * @author    Piotr Minkina <likemandrake@o2.pl>
 * @copyright Copyright (C) 2011 Piotr Minkina
 * @license   GNU/GPL version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class JElementProfileFields extends JElement
{
    public $_name = 'Profile Fields';

    public function __construct($parent = null)
    {
        parent::__construct($parent);
        JModel::addIncludePath(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_community' . DS . 'models');
    }

    public function fetchElement($name, $value, &$node, $control_name)
    {
        $profiles = JModel::getInstance('Profiles', 'CommunityModel');
        $fields   = $profiles->getFields(false);
        $attribs  = array('class' => 'inputbox');
        $options  = array();

        if ($node->attributes('class'))
        {
            $attribs['class'] = $node->attributes('class');
        }
        $options[] = JHTML::_('select.option', '0', ' ----- ' . JText::_('Disabled') . ' ----- ');
        foreach ($fields as $field)
        {
            if (!$field->published)
            {
                continue;
            }
            if ('group' == $field->type)
            {
                $options[] = JHTML::_('select.optgroup', $field->name);
            }
            else
            {
                $options[] = JHTML::_('select.option', $field->fieldcode, $field->name);
            }
        }
        return JHTML::_('select.genericlist', $options,
                        (string) $control_name . "[$name]",
                        JArrayHelper::toString($attribs),
                        'value', 'text', $value,
                        $control_name . $name);
    }
}
